<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SaveKombinUrunRequestV2 StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SaveKombinUrunRequestV2
 * @subpackage Structs
 */
class SaveKombinUrunRequestV2 extends AbstractStructBase
{
    /**
     * The KombinUrunAktif
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $KombinUrunAktif;
    /**
     * The KombinUrunKartiId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $KombinUrunKartiId;
    /**
     * The KombinUrunKartiTedarikciKodu
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $KombinUrunKartiTedarikciKodu;
    /**
     * The KombinUrunSatinAlinabilir
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $KombinUrunSatinAlinabilir;
    /**
     * The KombinUrunTopluSatinAlinabilir
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $KombinUrunTopluSatinAlinabilir;
    /**
     * The UrunKartiIdList
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfint
     */
    public $UrunKartiIdList;
    /**
     * The UrunKartiTedarikciKoduList
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfstring
     */
    public $UrunKartiTedarikciKoduList;
    /**
     * Constructor method for SaveKombinUrunRequestV2
     * @uses SaveKombinUrunRequestV2::setKombinUrunAktif()
     * @uses SaveKombinUrunRequestV2::setKombinUrunKartiId()
     * @uses SaveKombinUrunRequestV2::setKombinUrunKartiTedarikciKodu()
     * @uses SaveKombinUrunRequestV2::setKombinUrunSatinAlinabilir()
     * @uses SaveKombinUrunRequestV2::setKombinUrunTopluSatinAlinabilir()
     * @uses SaveKombinUrunRequestV2::setUrunKartiIdList()
     * @uses SaveKombinUrunRequestV2::setUrunKartiTedarikciKoduList()
     * @param bool $kombinUrunAktif
     * @param int $kombinUrunKartiId
     * @param string $kombinUrunKartiTedarikciKodu
     * @param bool $kombinUrunSatinAlinabilir
     * @param bool $kombinUrunTopluSatinAlinabilir
     * @param \ArrayType\ArrayOfint $urunKartiIdList
     * @param \ArrayType\ArrayOfstring $urunKartiTedarikciKoduList
     */
    public function __construct($kombinUrunAktif = null, $kombinUrunKartiId = null, $kombinUrunKartiTedarikciKodu = null, $kombinUrunSatinAlinabilir = null, $kombinUrunTopluSatinAlinabilir = null, \ArrayType\ArrayOfint $urunKartiIdList = null, \ArrayType\ArrayOfstring $urunKartiTedarikciKoduList = null)
    {
        $this
            ->setKombinUrunAktif($kombinUrunAktif)
            ->setKombinUrunKartiId($kombinUrunKartiId)
            ->setKombinUrunKartiTedarikciKodu($kombinUrunKartiTedarikciKodu)
            ->setKombinUrunSatinAlinabilir($kombinUrunSatinAlinabilir)
            ->setKombinUrunTopluSatinAlinabilir($kombinUrunTopluSatinAlinabilir)
            ->setUrunKartiIdList($urunKartiIdList)
            ->setUrunKartiTedarikciKoduList($urunKartiTedarikciKoduList);
    }
    /**
     * Get KombinUrunAktif value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getKombinUrunAktif()
    {
        return isset($this->KombinUrunAktif) ? $this->KombinUrunAktif : null;
    }
    /**
     * Set KombinUrunAktif value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $kombinUrunAktif
     * @return \StructType\SaveKombinUrunRequestV2
     */
    public function setKombinUrunAktif($kombinUrunAktif = null)
    {
        // validation for constraint: boolean
        if (!is_null($kombinUrunAktif) && !is_bool($kombinUrunAktif)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($kombinUrunAktif, true), gettype($kombinUrunAktif)), __LINE__);
        }
        if (is_null($kombinUrunAktif) || (is_array($kombinUrunAktif) && empty($kombinUrunAktif))) {
            unset($this->KombinUrunAktif);
        } else {
            $this->KombinUrunAktif = $kombinUrunAktif;
        }
        return $this;
    }
    /**
     * Get KombinUrunKartiId value
     * @return int|null
     */
    public function getKombinUrunKartiId()
    {
        return $this->KombinUrunKartiId;
    }
    /**
     * Set KombinUrunKartiId value
     * @param int $kombinUrunKartiId
     * @return \StructType\SaveKombinUrunRequestV2
     */
    public function setKombinUrunKartiId($kombinUrunKartiId = null)
    {
        // validation for constraint: int
        if (!is_null($kombinUrunKartiId) && !(is_int($kombinUrunKartiId) || ctype_digit($kombinUrunKartiId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($kombinUrunKartiId, true), gettype($kombinUrunKartiId)), __LINE__);
        }
        $this->KombinUrunKartiId = $kombinUrunKartiId;
        return $this;
    }
    /**
     * Get KombinUrunKartiTedarikciKodu value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getKombinUrunKartiTedarikciKodu()
    {
        return isset($this->KombinUrunKartiTedarikciKodu) ? $this->KombinUrunKartiTedarikciKodu : null;
    }
    /**
     * Set KombinUrunKartiTedarikciKodu value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $kombinUrunKartiTedarikciKodu
     * @return \StructType\SaveKombinUrunRequestV2
     */
    public function setKombinUrunKartiTedarikciKodu($kombinUrunKartiTedarikciKodu = null)
    {
        // validation for constraint: string
        if (!is_null($kombinUrunKartiTedarikciKodu) && !is_string($kombinUrunKartiTedarikciKodu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($kombinUrunKartiTedarikciKodu, true), gettype($kombinUrunKartiTedarikciKodu)), __LINE__);
        }
        if (is_null($kombinUrunKartiTedarikciKodu) || (is_array($kombinUrunKartiTedarikciKodu) && empty($kombinUrunKartiTedarikciKodu))) {
            unset($this->KombinUrunKartiTedarikciKodu);
        } else {
            $this->KombinUrunKartiTedarikciKodu = $kombinUrunKartiTedarikciKodu;
        }
        return $this;
    }
    /**
     * Get KombinUrunSatinAlinabilir value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getKombinUrunSatinAlinabilir()
    {
        return isset($this->KombinUrunSatinAlinabilir) ? $this->KombinUrunSatinAlinabilir : null;
    }
    /**
     * Set KombinUrunSatinAlinabilir value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $kombinUrunSatinAlinabilir
     * @return \StructType\SaveKombinUrunRequestV2
     */
    public function setKombinUrunSatinAlinabilir($kombinUrunSatinAlinabilir = null)
    {
        // validation for constraint: boolean
        if (!is_null($kombinUrunSatinAlinabilir) && !is_bool($kombinUrunSatinAlinabilir)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($kombinUrunSatinAlinabilir, true), gettype($kombinUrunSatinAlinabilir)), __LINE__);
        }
        if (is_null($kombinUrunSatinAlinabilir) || (is_array($kombinUrunSatinAlinabilir) && empty($kombinUrunSatinAlinabilir))) {
            unset($this->KombinUrunSatinAlinabilir);
        } else {
            $this->KombinUrunSatinAlinabilir = $kombinUrunSatinAlinabilir;
        }
        return $this;
    }
    /**
     * Get KombinUrunTopluSatinAlinabilir value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getKombinUrunTopluSatinAlinabilir()
    {
        return isset($this->KombinUrunTopluSatinAlinabilir) ? $this->KombinUrunTopluSatinAlinabilir : null;
    }
    /**
     * Set KombinUrunTopluSatinAlinabilir value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $kombinUrunTopluSatinAlinabilir
     * @return \StructType\SaveKombinUrunRequestV2
     */
    public function setKombinUrunTopluSatinAlinabilir($kombinUrunTopluSatinAlinabilir = null)
    {
        // validation for constraint: boolean
        if (!is_null($kombinUrunTopluSatinAlinabilir) && !is_bool($kombinUrunTopluSatinAlinabilir)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($kombinUrunTopluSatinAlinabilir, true), gettype($kombinUrunTopluSatinAlinabilir)), __LINE__);
        }
        if (is_null($kombinUrunTopluSatinAlinabilir) || (is_array($kombinUrunTopluSatinAlinabilir) && empty($kombinUrunTopluSatinAlinabilir))) {
            unset($this->KombinUrunTopluSatinAlinabilir);
        } else {
            $this->KombinUrunTopluSatinAlinabilir = $kombinUrunTopluSatinAlinabilir;
        }
        return $this;
    }
    /**
     * Get UrunKartiIdList value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfint|null
     */
    public function getUrunKartiIdList()
    {
        return isset($this->UrunKartiIdList) ? $this->UrunKartiIdList : null;
    }
    /**
     * Set UrunKartiIdList value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfint $urunKartiIdList
     * @return \StructType\SaveKombinUrunRequestV2
     */
    public function setUrunKartiIdList(\ArrayType\ArrayOfint $urunKartiIdList = null)
    {
        if (is_null($urunKartiIdList) || (is_array($urunKartiIdList) && empty($urunKartiIdList))) {
            unset($this->UrunKartiIdList);
        } else {
            $this->UrunKartiIdList = $urunKartiIdList;
        }
        return $this;
    }
    /**
     * Get UrunKartiTedarikciKoduList value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfstring|null
     */
    public function getUrunKartiTedarikciKoduList()
    {
        return isset($this->UrunKartiTedarikciKoduList) ? $this->UrunKartiTedarikciKoduList : null;
    }
    /**
     * Set UrunKartiTedarikciKoduList value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfstring $urunKartiTedarikciKoduList
     * @return \StructType\SaveKombinUrunRequestV2
     */
    public function setUrunKartiTedarikciKoduList(\ArrayType\ArrayOfstring $urunKartiTedarikciKoduList = null)
    {
        if (is_null($urunKartiTedarikciKoduList) || (is_array($urunKartiTedarikciKoduList) && empty($urunKartiTedarikciKoduList))) {
            unset($this->UrunKartiTedarikciKoduList);
        } else {
            $this->UrunKartiTedarikciKoduList = $urunKartiTedarikciKoduList;
        }
        return $this;
    }
}
