<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SaveKonsinyeUrunRequest StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SaveKonsinyeUrunRequest
 * @subpackage Structs
 */
class SaveKonsinyeUrunRequest extends AbstractStructBase
{
    /**
     * The StokAdedi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $StokAdedi;
    /**
     * The TedarikTarihi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TedarikTarihi;
    /**
     * The UrunID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $UrunID;
    /**
     * The UrunKartiID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $UrunKartiID;
    /**
     * The UrunKartiTedarikciKodu
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UrunKartiTedarikciKodu;
    /**
     * The UrunTedarikciKodu
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UrunTedarikciKodu;
    /**
     * Constructor method for SaveKonsinyeUrunRequest
     * @uses SaveKonsinyeUrunRequest::setStokAdedi()
     * @uses SaveKonsinyeUrunRequest::setTedarikTarihi()
     * @uses SaveKonsinyeUrunRequest::setUrunID()
     * @uses SaveKonsinyeUrunRequest::setUrunKartiID()
     * @uses SaveKonsinyeUrunRequest::setUrunKartiTedarikciKodu()
     * @uses SaveKonsinyeUrunRequest::setUrunTedarikciKodu()
     * @param float $stokAdedi
     * @param string $tedarikTarihi
     * @param int $urunID
     * @param int $urunKartiID
     * @param string $urunKartiTedarikciKodu
     * @param string $urunTedarikciKodu
     */
    public function __construct($stokAdedi = null, $tedarikTarihi = null, $urunID = null, $urunKartiID = null, $urunKartiTedarikciKodu = null, $urunTedarikciKodu = null)
    {
        $this
            ->setStokAdedi($stokAdedi)
            ->setTedarikTarihi($tedarikTarihi)
            ->setUrunID($urunID)
            ->setUrunKartiID($urunKartiID)
            ->setUrunKartiTedarikciKodu($urunKartiTedarikciKodu)
            ->setUrunTedarikciKodu($urunTedarikciKodu);
    }
    /**
     * Get StokAdedi value
     * @return float|null
     */
    public function getStokAdedi()
    {
        return $this->StokAdedi;
    }
    /**
     * Set StokAdedi value
     * @param float $stokAdedi
     * @return \StructType\SaveKonsinyeUrunRequest
     */
    public function setStokAdedi($stokAdedi = null)
    {
        // validation for constraint: float
        if (!is_null($stokAdedi) && !(is_float($stokAdedi) || is_numeric($stokAdedi))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($stokAdedi, true), gettype($stokAdedi)), __LINE__);
        }
        $this->StokAdedi = $stokAdedi;
        return $this;
    }
    /**
     * Get TedarikTarihi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTedarikTarihi()
    {
        return isset($this->TedarikTarihi) ? $this->TedarikTarihi : null;
    }
    /**
     * Set TedarikTarihi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tedarikTarihi
     * @return \StructType\SaveKonsinyeUrunRequest
     */
    public function setTedarikTarihi($tedarikTarihi = null)
    {
        // validation for constraint: string
        if (!is_null($tedarikTarihi) && !is_string($tedarikTarihi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tedarikTarihi, true), gettype($tedarikTarihi)), __LINE__);
        }
        if (is_null($tedarikTarihi) || (is_array($tedarikTarihi) && empty($tedarikTarihi))) {
            unset($this->TedarikTarihi);
        } else {
            $this->TedarikTarihi = $tedarikTarihi;
        }
        return $this;
    }
    /**
     * Get UrunID value
     * @return int|null
     */
    public function getUrunID()
    {
        return $this->UrunID;
    }
    /**
     * Set UrunID value
     * @param int $urunID
     * @return \StructType\SaveKonsinyeUrunRequest
     */
    public function setUrunID($urunID = null)
    {
        // validation for constraint: int
        if (!is_null($urunID) && !(is_int($urunID) || ctype_digit($urunID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($urunID, true), gettype($urunID)), __LINE__);
        }
        $this->UrunID = $urunID;
        return $this;
    }
    /**
     * Get UrunKartiID value
     * @return int|null
     */
    public function getUrunKartiID()
    {
        return $this->UrunKartiID;
    }
    /**
     * Set UrunKartiID value
     * @param int $urunKartiID
     * @return \StructType\SaveKonsinyeUrunRequest
     */
    public function setUrunKartiID($urunKartiID = null)
    {
        // validation for constraint: int
        if (!is_null($urunKartiID) && !(is_int($urunKartiID) || ctype_digit($urunKartiID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($urunKartiID, true), gettype($urunKartiID)), __LINE__);
        }
        $this->UrunKartiID = $urunKartiID;
        return $this;
    }
    /**
     * Get UrunKartiTedarikciKodu value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUrunKartiTedarikciKodu()
    {
        return isset($this->UrunKartiTedarikciKodu) ? $this->UrunKartiTedarikciKodu : null;
    }
    /**
     * Set UrunKartiTedarikciKodu value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $urunKartiTedarikciKodu
     * @return \StructType\SaveKonsinyeUrunRequest
     */
    public function setUrunKartiTedarikciKodu($urunKartiTedarikciKodu = null)
    {
        // validation for constraint: string
        if (!is_null($urunKartiTedarikciKodu) && !is_string($urunKartiTedarikciKodu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($urunKartiTedarikciKodu, true), gettype($urunKartiTedarikciKodu)), __LINE__);
        }
        if (is_null($urunKartiTedarikciKodu) || (is_array($urunKartiTedarikciKodu) && empty($urunKartiTedarikciKodu))) {
            unset($this->UrunKartiTedarikciKodu);
        } else {
            $this->UrunKartiTedarikciKodu = $urunKartiTedarikciKodu;
        }
        return $this;
    }
    /**
     * Get UrunTedarikciKodu value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUrunTedarikciKodu()
    {
        return isset($this->UrunTedarikciKodu) ? $this->UrunTedarikciKodu : null;
    }
    /**
     * Set UrunTedarikciKodu value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $urunTedarikciKodu
     * @return \StructType\SaveKonsinyeUrunRequest
     */
    public function setUrunTedarikciKodu($urunTedarikciKodu = null)
    {
        // validation for constraint: string
        if (!is_null($urunTedarikciKodu) && !is_string($urunTedarikciKodu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($urunTedarikciKodu, true), gettype($urunTedarikciKodu)), __LINE__);
        }
        if (is_null($urunTedarikciKodu) || (is_array($urunTedarikciKodu) && empty($urunTedarikciKodu))) {
            unset($this->UrunTedarikciKodu);
        } else {
            $this->UrunTedarikciKodu = $urunTedarikciKodu;
        }
        return $this;
    }
}
